RECFIX(1)

NAME
recfix - check a recfile for errors

SYNOPSIS
recfix [OPTION]... [OPERATION] [OP_OPTION]... [FILE]

DESCRIPTION
Check and fix rec files.

--no-external
    don't use external descriptors.

--force
    force the requested operation.

--help
    print a help message and exit.

--version
    show version and exit.

  Operations:

--check
    check integrity of the specified file. Default.

--sort
    sort the records in the specified file.

--auto
    insert auto-generated fields in records missing them.

--encrypt
    encrypt confidential fields in the specified file.

--decrypt
    decrypt confidential fields in the specified file.

  De/Encryption options:

-s, --password=PASSWORD
    encrypt/decrypt with this password.

If no FILE is specified then the command acts like a filter, getting the data from standard input and writing the result to standard output.

AUTHOR
Written by Jose E. Marchesi.

REPORTING BUGS
Report bugs to: bug-recutils@gnu.org
GNU recutils home page: <https://www.gnu.org/software/recutils/>
General help using GNU software: <http://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2010-2020 Jose E. Marchesi. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for recfix is maintained as a Texinfo manual. If the info and recfix programs are properly installed at your site, the command

    info recutils

should give you access to the complete manual.